登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

白若宏的博客

退休后要制定怎样花掉养老金的长期计划,更要考虑怎样花掉更多的养老金,老年戒得。

 
 
 

日志

 
 
关于我

当过兵,搞过“三支两军”,参加全国第三次人口普查,自学建筑、制冷、设计、预算。忧国忧民,人生无所求,毛泽东时代忧毛泽东思想难实现,改革开放忧邓小平理论不落实。

CAD立体图怎么转成 等轴测平面图  

2013-01-10 15:41:37|  分类: 工程技术 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

       在画制冷工艺系统图时,出现以轴测图画压力容器的椭圆封头不完美,机械设备的投影不精确等问题。以三维出图,又不能使密集的管道走向清晰表述,且工作量繁重,于是就想到以三维画出复杂设备的个别部件替代轴测图,而整体的机械设备及管道仍以轴测图画出。

      大概是问题描述太简单,在教材及互联网得到的答案基本都是由三维实体回到平面三视图。还有一种是以输出打印的形式得到一种平面CAD图。

       在三维的压力容器图中,可以得到椭圆封头的投影向外多出一个月牙型的投影,这个月牙的高度为半径的1/12,并以此改进轴测图,但是对一些任意图形的轴测图,就不好组合,如45度角的管道及阀门的轴测图。

CAD立体图怎么转成 平面图


(2007-08-27 20:36:22)
1.若要转换的对象为三维实体,你可以参考 CAD 帮助中的 solprof 命令、solview 命令、soldraw 命令。
solprof 命令:在图纸空间中创建三维实体的轮廓图像。
solview 命令:使用正交投影法创建布局视口以生成三维实体及体对象的多面视图与剖视图。
soldraw 命令:在用 solview 命令创建的视口中生成轮廓图和剖视图。
soldraw 命令与 solprof 命令的使用方法及区别:
soldraw 命令需与 solview 命令配合使用,只能在用 solview 命令创建的视口中生成轮廓图和剖视图。
solprof 命令可以单独使用,即在图纸空间中的任何视图上都可以使用,可以创建三维实体的轮廓图像。
具体的操作方法可以参考CAD自带的帮助说明。
取消CAD的Z轴变量?将当前视图设置成预定义的正交视图即可
在命令提示下输入 -view ,VIEW 将显示命令行提示:
输入选项 [?/Delete(D)/正交(O)/恢复(R)/保存(S)/设置(E)/窗口(W)]:
输入 o ,按 ENTER 键,出现如下命令行提示:
输入选项 [俯视(T)/仰视(B)/主视(F)/后视(BA)/左视(L)/右视(R)] <俯视>:
输入 T 或 B 或 F 或 BA 或 L 或 R,选择预定义的正交视图,按 ENTER 键即可,一般情况下输入 T,选择俯视视图,也即新建CAD文件时的默认视图。
参考资料:CAD 自带帮助
2.方法如下:
菜单中的视图->三维视图->中间俯视至后视都是平面的!
晕,没看清楚
再说一招:
改变坐标就行!在命令栏输入:UCS空格


 

有几种方法可以根据要求试试,

1,在三维状态下设好UCS再用“着色”里面的“二维线框”可以把三维转成二维的,再另存为哪个视图如:XXX左视图,就可以了,

2,在“视图”的“视口”里面有把三维图在当前模型空间转成二维的,想要哪种你可以自己选的了。

不知这个能不能达到你的要求呢,试试看再说吧。

我还有一种现成的简单办法!

1/文件--打印机管理器,添加一台dxb打印机

2/添加打印机向导--AutoCAD DXB file完成BXD打印机添加

3/开始打印:选择好某个三维视图中打印,选择DXB打印机,打印到指定的DXB文件

4/输出DXB文件:在CAD中新建一个空白cad文件,输入命令:DXBIn,选择打印好的DXB文件!

接上图,我们在右边的实体测轴图窗口下,执行UCS----N-----(在2004里执行UCS后可直接输入)将UCS坐标改为当前视图坐标,这样右边窗口的坐标即与左边窗口的坐标一致,此时再用CRTL+C选中右边窗口的实体回车,切换到左边窗口,执行CRTL+将实体粘贴过来。。。执行消隐。。

(如下图)

 

 

注意一个问题,当右边复窗口的实体复制到左边窗口时,它还是一个实体,并不是完全的一个二维平面轴测图,执行消隐后,如果要打印出图的话,虽然可以在切换到布局窗口后,点选布局空间的实体边框线后执行“特性修改MO”选择“消隐打印”可以直接打印出二维消隐效果(如下图,左边是操作,右边是打印预览)。。。但这样的消隐打印毕竟没有二维平面轴测图来的简洁。。。如果要将三维实体直接转成二维平面轴测图,那么就得用三楼所说的方法。

接下来我们开始分析,如何将三维实体轴测图转为二维平面轴测图。

1,在布局空间里,首先将布局的“图纸”空间转为“模型”空间,如下图的“红色箭头线”所示,这样做是为了在执行“设置轮廓”命令时可以选到实体。

2,执行“实体工具栏”上的“设置轮廓”命令,选中实体连续四次回车,设置出当前视图的二维平面轴测轮廓线,如下图的“绿色”箭头线与“紫色”箭头线所示操作。

接下来,打开图层,我们发现,经过“设置轮廓”以后,在图层里除了实体层与0层外,图层管理器自动多出了“P”与“PH”两个图层。这里的“PH”表示生成后的内部或背剖的不可见轮廓线,“P”表示可见轮廓线。注意观察下图(请单击放大观看),左图里,我们只是“关闭”实体图层,右图我们则关闭“实体”与“PH”图层。。。这样,二维平面的轴测图就生成了,提醒一下,如果想把生成的二维轴测图复制到9楼的左图,一样要将UCS置为当前坐标(UCS---------)

将实体生成三视图操作与生成轴测图相似,只不过更麻烦些。

首先仍然是将图形切换到布局空间------接着在布局空间里将“图纸”切换成“模型”(参见11楼),在布局的“模型空间”下将实体的“等轴测图”转成“主视图------接下来就可以运用“实体工具栏”的“设置视图”命令中的“正交”功能设置出左视图与俯视图。。。(简略操作如下图)

接上图操作:

1,执行“设置图形”的命令后------选择子命令“正交”-----在命令行提示:“指定视口要投影的那一侧”时用鼠标单示“主视图”上方视口边框线的中点(如红色三角形所示)------命令行提示:“指定视图中心”此时将鼠标移至布局空间下方“单击”合适位置-----命令行提示:“指定视图中心 <指定视口>:”时直接回车创建出实体“俯视图”------在命令行提示:“指定视口的第一个角点”时用鼠标单击俯视图左上角,并用鼠标拖拉出俯视图的视口边框线,如下图紫色线框-------在命令行提示:“输入视图名”时,输入俯视图的名称(注:一定要有名称,要不在下一步的生成轮廓线时生成不了)-------OK!用同样的方法,设置出左视图。

设置好三视图后,执行11楼的方法将主视图切换到模型空间,执行“设置轮廓”命令选中主视图上的实体连续四次回车完成主视图的轮廓线设置-------执行“实体工具栏”上的“设置图形”命令(在“设置视图”按钮左边)直接点选俯视图与左视图的视口边框线回车(如下图的红色箭头线操作)-----完成对俯视图与左视图的轮廓线设置。

说明:1,一定要先用“设置轮廓”命令完成对主视图的设置后,才能使用“设置图形”命令。

2,执行“设置轮廓”对主视图操作时须切换到布局模型空间,而执行“设置图形”命令对俯视图与左视图操作时,无面切换布局空间,直接在布局图线空间下点选视口边框线。

CAD的立体,3D转2D,2种方法,一种输出SAT格式,然后到PRO/E里面或者UG里面转

 第二种,在CAD里面直接转,下面3个是我编的LISP程序,你创建个LISP程序,把下面3个程序放到里面去,

 在你有立体的图纸CAD里面加载,然后进入布局,把布局里面的原始框格删除,下面就是把立体转2D的部分:

 1,命令输入D3;在屏幕上选择一点,鼠标中键上下缩放到一定的大小,回车,

 在立体的左上角和右下角各点一下,命名视图1;回车

 2,命令输入O(字母);选择第一个视图的左边中点;在左边选择一个中心(左视图中心);回车

 在立体的左上角和右下角各点一下,命名视图2;回车

 3,命令输入O(字母);选择第一个视图的下边中点;在下边选择一个中心(俯视图中心);回车

 在立体的左上角和右下角各点一下,命名视图3;回车

 4,命令输入O(字母);选择第一个视图的左边中点;在左视图的左边再选择一个中心(轴测视图中心);回车

 在立体的左上角和右下角各点一下,命名视图4;回车;回车;

 5,命令输入d2;选择第1个视图,左视图,俯视图,回车(完成立体转平面),

 6,双击轴测视图,然后命令输入D4,选择立体,(完成轴测视图的建立),

 ;创建三视图

 (defun c:d3()

 (setvar"cmdecho"0)

 (command "solview" "ucs" "" "")

 (setvar"cmdecho"1)

 (princ)

 )

 ;将三视图从立体转成平面

 (defun c:d2()

 (setvar"cmdecho"0)

 (command "soldraw")

 (setvar"cmdecho"1)

 (princ)

 )

 

;将立体转成轴测图,平面的立体图

 (defun c:d4()

 (setvar"cmdecho"0)

 (setq a (ssget))

 (command "solprof" a "" "y" "y" "n")

 (setvar"cmdecho"1)

 (princ)

 )

  评论这张
 
阅读(7554)| 评论(0)

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018